package com.tzld.piaoquan.recommend.server.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface DouHotVideoPortraitDataRepository extends JpaRepository<DouHotVideoPortraitData, Long> {

    List<DouHotVideoPortraitData> findAllByVidInAndType(List<String> videoIds, Integer type);

    // @Query(value = "SELECT vid, name, option, " +
    //         "SUM(CASE WHEN type = 1 THEN value ELSE 0 END) AS rate, " +
    //         "SUM(CASE WHEN type = 2 THEN value ELSE 0 END) AS tgi " +
    //         "FROM douhot_video_portrait_data " +
    //         "WHERE option = 4 " +
    //         "GROUP BY vid, name, option " +
    //         "HAVING SUM(CASE WHEN type = 2 THEN value ELSE 0 END) >= 100")
    // List<DouHotVideoProvince> findRecordTGIGe100AndRateDesc(List<String> videos);
}